<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [mv](./bitburner.ns.mv.md)

## NS.mv() method

Move a file on the target server.

**Signature:**

```typescript
mv(host: string, source: string, destination: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |
|  source | string | Filename of the source file. |
|  destination | string | Filename of the destination file. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Move the source file to the specified destination on the target server.

This command only works for scripts and text files (.txt). It cannot, however, be used to convert from script to text file, or vice versa.

This function can also be used to rename files.

